<form>
  <div fxLayout="column" fxLayoutAlign="start stretch">

    <div fxLayout="row" fxLayoutAlign="center center" class="date-header">
      <h4>{{ dailyOrder.date | date:'EEEE / dd' }}</h4>
    </div>

    <md-card fxLayout="column" fxLayoutAlign="center center" *ngIf="loading">
      <app-spinner *ngIf='loading'></app-spinner>
    </md-card>

    <div *ngIf="!loading">

      <md-card fxLayout="column" fxLayoutAlign="center center" *ngIf="dailyOrder.menuId === 0">
        <h4>Today there is no menu prepared!</h4>
        <span>some fasting will be good for you ;)</span>
      </md-card>

      <div *ngIf="dailyOrder.menuId !== 0">

        <md-card fxLayout="row" fxLayoutAlign="space-between start">
          <div *ngFor="let foodList of dailyOrder.foodsMap | mapToIterable, let i = index" class="food-list">

            <div fxLayout="column" fxLayoutAlign="space-around stretch" class="food-header">
              <h4>{{ i == 0 ? 'Main Dishes' : i == 1 ? 'Salads' : 'Drinks' }}</h4>
            </div>

            <div fxLayout="column" fxLayoutAlign="space-around start">
              <div *ngFor="let food of foodList | mapToIterable, let i = index" class="food">
                <div fxLayout="row" fxLayoutAlign="space-between center" [ngClass]="{dash: i > 0}">
                  <div>
                    <span mdTooltip="{{ food.description }}">{{ food.name }}</span>
                  </div>
                  <div fxLayout="row" fxLayoutAlign="space-between center">
                    <span>{{ food.quantity }}</span>
                    <div *ngIf="(orderState === OrderStatus.OPEN || orderState === OrderStatus.DELETE)" fxLayout="column" fxLayoutAlign="space-around center"
                      class="quantity-buttons">
                      <button (click)="add(food.id, food.type)" md-fab class='red-button add'><md-icon>add</md-icon></button>
                      <button (click)="minus(food.id, food.type)" md-fab class='red-button minus' [disabled]="food.quantity === 0"><md-icon>remove</md-icon></button>
                    </div>
                    <span>x {{ food.price.toFixed(2) }} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
                  </div>
                </div>
              </div>
            </div>

          </div>
          <div fxLayout="column" fxLayoutAlign="space-between start" class="total-list">
            <div class="total-header">
              <h4>Total</h4>
            </div>
            <div>
              <h4>{{ dailyOrder.total.toFixed(2) }} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></h4>
            </div>
            <div>
              <div *ngIf="orderState === OrderStatus.PLACED" fxLayout="row" fxLayoutAlign="space-around center" class="order-placed">
                <span>Order is placed!</span>
                <md-icon>check</md-icon>
              </div>
              <div *ngIf="orderState === OrderStatus.OPEN"><button md-raised-button (click)="order()" [disabled]="!orderIsChanged()" class="red-button" mdTooltip="Place your order">Order</button></div>
              <div *ngIf="orderState === OrderStatus.OPEN && dailyOrder.orderId !== 0"><button md-raised-button (click)="cancel()" mdTooltip="Cancel your changes">Cancel</button></div>
              <div *ngIf="orderState === OrderStatus.PLACED"><button md-raised-button (click)="modify()" class="red-button" mdTooltip="Modify your order">Modify</button></div>
              <div *ngIf="orderState === OrderStatus.PLACED || orderState === OrderStatus.DELETE"><button md-raised-button (click)="delete()" mdTooltip="Delete your order"><md-icon>delete_forever</md-icon></button></div>
              <div *ngIf="orderState === OrderStatus.FINAL" class="order-closed" fxLayout="row" fxLayoutAlign="space-around center"><span>the order is final and cannot be modified</span></div>
              <div *ngIf="orderState === OrderStatus.CLOSED" class="order-closed" fxLayout="row" fxLayoutAlign="space-around center"><span>after the deadline cannot place order</span></div>
            </div>
          </div>

        </md-card>

      </div>
    </div>
  </div>

</form>
